gnomeprint.Font
Prev | The Gnomeprint Class Reference | Next

## gnomeprint.Font

gnomeprint.Font — Font object for GnomePrint

## Synopsis

    class gnomeprint.Font(gobject.GObject):
        gnomeprint.Font(face, size)
        def get_ascender()
        def get_descender()
        def get_face()
        def get_family_name()
        def get_full_name()
        def get_glyph_stdadvance(glyph, advance)
        def get_glyph_stdbbox(glyph, bbox)
        def get_glyph_stdkerning(glyph0, glyph1, kerning)
        def get_glyph_stdoutline(glyph)
        def get_glyph_width(glyph)
        def get_name()
        def get_ps_name()
        def get_size()
        def get_size()
        def get_species_name()
        def get_underline_position()
        def get_underline_thickness()
        def lookup_default(unicode)

    Functions

        def gnomeprint.font_family_list()
        def gnomeprint.font_find_closest(name, size)
        def gnomeprint.font_find_closest_from_full_name(string)
        def gnomeprint.font_find_closest_from_weight_slant(family, weight, italic, size)
        def gnomeprint.font_list()
        def gnomeprint.font_style_list(family)

## Ancestry

    +-- gobject.GObject
      +-- gnomeprint.Font

## Properties

"FontName" | Read | The font name.
"FullName" | Read | The font full name.
"FamilyName" | Read | The font family name.
"Weight" | Read | The font weight.
"ItalicAngle" | Read | The angle of the italic font.
"IsFixedPitch" | Read | `TRUE` if the font is fixed pitch, `FALSE` otherwise.
"FontBBox" | Read |
"UnderlinePosition" | Read | The underline position of the font.
"UnderlineThickness" | Read | The underline thickness of the font.
"Version" | Read |
"CapHeight" | Read |
"XHeight" | Read |
"Ascender" | Read | The ascender of the font
"Descender" | Read | The descender of the font
"size" | Read | The size of the font.

## Description

## Constructor

        gnomeprint.Font(face, size)

`face` : | a face font name.
`config` : | a font size.
Returns : | a new `gnomeprint.Font`.

Creates a new `gnomeprint.Font` object.

## Methods

### gnomeprint.Font.get_ascender

        def get_ascender()

Returns : | the ascender of the font.

The `get_ascender`() method works with the standard Adobe encoding and without kerning or ligatures. When the text libs get written, this function will be deprecated.

### gnomeprint.Font.get_descender

        def get_descender()

Returns : | the descender of the font.

The `get_descender`() method works with the standard Adobe encoding and without kerning or ligatures. When the text libs get written, this function will be deprecated.

### gnomeprint.Font.get_face

        def get_face()

Returns : | the face of the font.

The `get_face`() method

### gnomeprint.Font.get_family_name

        def get_family_name()

Returns : | the family name of the font.

The `get_family_name`() method

### gnomeprint.Font.get_full_name

        def get_full_name()

Returns : | the full name of the font.

The `get_full_name`() method

### gnomeprint.Font.get_glyph_stdadvance

        def get_glyph_stdadvance(glyph, advance)

`glyph` : |
`advance` : |
Returns : |

The `get_glyph_stdadvance`() method

### gnomeprint.Font.get_glyph_stdbbox

        def get_glyph_stdbbox(glyph, bbox)

`glyph` : |
`bbox` : |
Returns : |

The `get_glyph_stdbbox`() method

### gnomeprint.Font.get_glyph_stdkerning

        def get_glyph_stdkerning(glyph0, glyph1, kerning)

`glyph0` : |
`glyph1` : |
`kerning` : |
Returns : |

The `get_glyph_stdkerning`() method

### gnomeprint.Font.get_glyph_stdoutline

        def get_glyph_stdoutline(glyph)

`glyph` : |
Returns : |

The `get_glyph_stdoutline`() method

### gnomeprint.Font.get_glyph_width

        def get_glyph_width(glyph)

`glyph` : |
Returns : |

The `get_glyph_width`() method

### gnomeprint.Font.get_name

        def get_name()

Returns : |

The `get_name`() method

### gnomeprint.Font.get_ps_name

        def get_ps_name()

Returns : |

The `get_ps_name`() method

### gnomeprint.Font.get_size

        def get_size()

Returns : |

The `get_size`() method

### gnomeprint.Font.get_species_name

        def get_species_name()

Returns : |

The `get_species_name`() method

### gnomeprint.Font.get_underline_position

        def get_underline_position()

Returns : | the underline position of the font.

The `get_underline_position`() method works with the standard Adobe encoding and without kerning or ligatures. When the text libs get written, this function will be deprecated.

### gnomeprint.Font.get_underline_thickness

        def get_underline_thickness()

Returns : | the underline thickness of the font.

The `get_underline_thickness`() method works with the standard Adobe encoding and without kerning or ligatures. When the text libs get written, this function will be deprecated.

### gnomeprint.Font.lookup_default

        def lookup_default(unicode)

`unicode` : |
Returns : | glyph number, -1 if it is not mapped.

The `lookup_default`() method get the glyph number corresponding to a given unicode.

## Functions

### gnomeprint.font_family_list

        def gnomeprint.font_family_list()

Returns : |

The `font_family_list`() function

### gnomeprint.font_find_closest

        def gnomeprint.font_find_closest(name, size)

`name` : |
`size` : |
Returns : |

The `font_find_closest`() function

### gnomeprint.font_find_closest_from_full_name

        def gnomeprint.font_find_closest_from_full_name(string)

`string` : |
Returns : |

The `font_find_closest_from_full_name`() function

### gnomeprint.font_find_closest_from_weight_slant

        def gnomeprint.font_find_closest_from_weight_slant(family, weight, italic, size)

`family` : |
`weight` : |
`italic` : |
`size` : |
Returns : |

The `font_find_closest_from_weight_slant`() function

### gnomeprint.font_list

        def gnomeprint.font_list()

Returns : |

The `font_list`() function

### gnomeprint.font_style_list

        def gnomeprint.font_style_list()

Returns : |

The `font_style_list`() function

Prev | Up | Next
gnomeprint.Job | Home | gnomeprint.FontFace